<?php
require_once '../resource/sessions.php';
require_once '../master_functions.php';
require_once '../db/Config.php';

$db = new Config();
$conn = $db->getConnection();

$currentmonth = date('Y-m');

$menu = '';
$sub_menu = 'removal-enter';


?>
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Inventory In stock</title>
  <!-- plugins:css -->

  <?php require('../imports/importcss.php'); ?>
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../assets/css/style.css">
  <!-- endinject -->

  <!--google chart-->
  <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

  <link rel="stylesheet" href="../assets/css/datatable/dataTables.bootstrap5.min.css">
  <link href="https://cdn.datatables.net/1.13.2/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
  <link href="https://cdn.datatables.net/responsive/2.4.0/css/responsive.dataTables.min.css" rel="stylesheet" type="text/css" />
  <link href="https://cdn.datatables.net/buttons/2.3.6/css/buttons.dataTables.min.css" rel="stylesheet" type="text/css" />

  <style>
    select.form-select {
      color: #252020 !important;
    }
  </style>
</head>

<body class="with-welcome-text">

  <div class="container-scroller">
    <!-- partial:partials/_navbar.html -->
    <?php require("../sections/header.php") ?>
    <!-- partial -->
    <div class="container-fluid page-body-wrapper">
      <!-- partial:partials/_sidebar.html -->
      <?php require("../sections/navbar.php") ?>

      <!-- partial -->
      <div class="main-panel">
          
        <div class="content-wrapper">
            <h5>Please enter specific instructions for removal orders.</h5>
          <div class="card">
            <div class="card-header">
              <h5 class="fw-bold fs-4"><i class="mdi mdi-cube"></i>Removal Notes</h5>
            </div>
            
            <div class="card-body shadow">
                
              <form class="form-horizontal data_form" method="post" class="" enctype="multipart/form-data" accept-charset="utf-8">
                <div class="mb-3">
                  <label for="removal_id" class="form-label">Removal Order ID</label>
                  <input type="text" class="form-control" id="removal_id" name="removal_id" placeholder="Enter Removal Order ID" required>
                </div>
                <div class="mb-3">
                  <label for="notes" class="form-label">Removal Disposition</label>
                  <input type="text" class="form-control" id="notes" name="notes" placeholder="Enter removal notes" required>
                </div>
                <input type="hidden" class="action" name="action" value="addnotes">
                <button type="submit" id="btn_submit" class="btn btn-primary">Submit</button>
              </form>
            </div>

          </div>

        </div>
        <!-- content-wrapper ends -->

      </div>
      <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->

  <?php require("../imports/importjs.php") ?>

  <script src="https://cdn.datatables.net/1.13.2/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.13.1/js/dataTables.bootstrap5.min.js"></script>
   <script src="https://cdn.datatables.net/buttons/2.3.6/js/dataTables.buttons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.3.6/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.3.6/js/buttons.print.min.js"></script>

  <script>
    $(document).ready(function() {


            var action = $(".action").val();
            
            $('.data_form').submit(function(event) {
                
                event.preventDefault();
                

            $.ajax({

                url: 'model/ProductController.php',

                type: 'POST',

                data: new FormData(this),

                contentType: false,

                cache: false,

                processData: false,

                beforeSend: function() {

                    $("#msg").html("Processing. Please Wait..");

                    $('#btn_submit').attr("disabled", "disabled");
                    

                },

                success: function(result) {
                    

                    $("#msg").html("");

                    $('#btn_submit').removeAttr("disabled");



                    var fields = result.split('|');

                    var id = fields[0];

                    var msg = fields[1];

                    

                    if (id == 1) {


                           
                             if (action == "addnotes") {

                            // beepSuccess(msg);

                            // $('.select').val(null).trigger('change');
                            
                            alert(msg);

                            $('.data_form')[0].reset();

                            window.location = "removal_notes.php" ;



                        } 



                    } else if (id == 2) {
                        
                        alert(msg);

                    }

                },

                error: function(err) {
                    alert("Error. Please Contact Support");
                    // alert(err);

                    $("#msg").html("");

                    $('#btn_submit').removeAttr("disabled");

                }

            });
                




            });

            //ENd of form

        });

  </script>

</body>

</html>